Bug 246302 - Review Request: sub2srt - Convert files in .sub format to .srt
Summary: Review Request: sub2srt - Convert files in .sub format to .srt
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-29 21:56 UTC by Marek Mahut
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-07-14 11:57:36 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marek Mahut 2007-06-29 21:56:14 UTC
Spec URL: http://people.redhat.com/mmahut/rpms/sub2srt/sub2srt.spec
SRPM URL: http://people.redhat.com/mmahut/rpms/sub2srt/sub2srt-0.5.3-1.fc8.src.rpm
Description: Sub2srt is a simple tool to convert 2 common subtitle
formats (microdvd and subrip - both are known as ".sub")
to subviewer ".srt" format.

Comment 1 Jason Tibbitts 2007-06-29 22:41:15 UTC
There's no reason for the explicit dependency on perl; rpm finds that on its
own.  I don't think it's a blocker, though, merely redundant.

Review:
* source files match upstream:
   777fbd9d78cc8a47b926ad03a9b05bf3b1ec09055b9694edeac8b5b4475dc63e
   sub2srt-0.5.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   sub2srt = 0.5.3-1.fc8
  =
   /usr/bin/perl
?  perl (unnecessary)
   perl(Getopt::Long)
   perl(strict)

* %check is not present; no test suite upstream.  It does run OK, though I have 
   no files to test it with.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Marek Mahut 2007-06-29 23:23:20 UTC
Jason, thank you for your comment and review. I'll remore that dependency once
in CVS.

Comment 3 Marek Mahut 2007-06-29 23:26:25 UTC
New Package CVS Request
=======================
Package Name: sub2srt
Short Description: Convert files in .sub format to .srt
Owners: mmahut@redhat.com
Branches: FC-6 F-7 EL-4 EL-5

Comment 4 Kevin Fenzi 2007-07-02 18:42:41 UTC
cvs done.

Comment 5 Jason Tibbitts 2007-07-10 01:19:47 UTC
This doesn't seem to have been built yet.  Is there a problem?

Comment 6 Marek Mahut 2007-07-14 11:57:10 UTC
Sorry for the delay, I was offline.

Package is now build -- thank you Jason for review.


Note You need to log in before you can comment on or make changes to this bug.